flow123d_version: 2.0.0
problem: !Coupling_Sequential
  time: &anchor3
    end_time: 100.0
  description: Test13 - mixing of substances on edges and quantitative test on trivial
    transport problem.
  mesh:
    mesh_file: ../00_mesh/y_branch.msh
  flow_equation: !Flow_Darcy_MH
    output_specific:
    nonlinear_solver:
      linear_solver: !Petsc
        a_tol: 1.0e-14
        r_tol: 1.0e-14
    input_fields:
      - region: trunk
        anisotropy: 1.0
      - region: left_branch
        anisotropy: 1.0
      - region: right_branch
        anisotropy: 0.1
      - region: .trunk
        bc_type: dirichlet
        bc_pressure: 10
      - region: .left_branch
        bc_type: dirichlet
        bc_pressure: 5
      - region: .right_branch
        bc_type: dirichlet
        bc_pressure: -5
    output:
      fields:
        - pressure_p0
        - pressure_p1
        - velocity_p0
    balance: {}
    output_stream: 
      file: test13.msh
      format: !gmsh
        variant: ascii
      name: flow_output_stream
  solute_equation: !Coupling_OperatorSplitting
    transport: !Solute_Advection_FV
      input_fields:
        - region: BULK
          init_conc: 0
        - region: .trunk
          bc_conc: 1
    output_stream: 
      file: transport.msh
      format: !gmsh
        variant: ascii
      name: transport_output_stream
      times:
        - step: 0.5
    substances:
      - A
    time: *anchor3
    balance:
      cumulative: true